Subject: Re: bug#32991: 27.0.50; diff-auto-refine-mode a no-op

From: [email-masked] (Charles A. Roelli)
Date: Sun, 13 Jan 2019 15:36:48 +0100

> From: Stefan Monnier <[email-masked]>
> Date: Wed, 10 Oct 2018 15:21:27 -0400
> 
> > So diff-font-lock-refine could have 3 possible values, t and nil as it
> > has now, and 'auto for doing the refinement as you navigate to hunks
> > with "n" or "p".
> 
> I don't see what the navigation-triggered refinement has of
> "auto"matism, compared to font-lock, so I wouldn't use `auto` here.
> I'd rather go with something like `nil`, `font-lock`, or `navigation`
> (and default to `font-lock`).

After revisiting this, the values "nil", "font-lock", and "navigation"
sound fine, though if we end up using those we might want to change
the name of "diff-font-lock-refine" to just "diff-refine" (since
"font-lock" may not be involved in the refinement).